Page MenuHomePhabricator

Remove unused jquery.ui.* and jquery.effects.* modules
Closed, ResolvedPublic

Description

Deprecated in 1.34

Simply find and replace with jquery.ui

  • jquery.ui.core
  • jquery.ui.core.styles
  • jquery.ui.accordion
  • jquery.ui.autocomplete
  • jquery.ui.button
  • jquery.ui.datepicker
  • jquery.ui.dialog
  • jquery.ui.draggable
  • jquery.ui.droppable
  • jquery.ui.menu
  • jquery.ui.mouse
  • jquery.ui.position
  • jquery.ui.progressbar
  • jquery.ui.resizable
  • jquery.ui.selectable
  • jquery.ui.slider
  • jquery.ui.sortable
  • jquery.ui.tabs
  • jquery.ui.tooltip
  • jquery.ui.widget
  • jquery.effects.core
  • jquery.effects.blind
  • jquery.effects.clip
  • jquery.effects.drop
  • jquery.effects.highlight
  • jquery.effects.scale
  • jquery.effects.shake
Original proposal

In T219403: Remove jquery.ui.spinner removal of deprecated and unused jquery.ui.* modules started, so I think it's a good idea to continue. At least jquery.ui.accordion seems equally unused (https://codesearch.wmflabs.org/search/?q=jquery%5C.ui%5C.accordion&i=nope&files=&repos=, someone should check gadgets).

A similar group of modules is jquery.effects.*, which has only very few uses (https://codesearch.wmflabs.org/search/?q=jquery%5C.effects%5C.&i=nope&files=&repos=), leaving many of these modules completely unused. Together, these use over 500 bytes in the registry that could be saved.

Perhaps even more of these modules can be removed, some have just one or two uses which perhaps can easily be replaced, especially for effects.

Sub tasks
  • Remove use in MediaWiki core, and bundled or WMF-deployed extensions.
  • Deprecate in 1.34.
  • Analyse usage in gadgets, site scripts and user scripts. And announce, migrate, and/or delay removal as needed.
    • 845 gadgets and site scripts. Status: Fixed. – T219604#5608345
    • 1628 user scripts. Status: Fixed. – P9516
  • Really remove all usage in WMF-deployed extensions (Codesearch)
  • Remove in 1.35.

Details

Related Gerrit Patches:
mediawiki/extensions/LinkSuggest : REL1_34Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/LinkSuggest : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/StickToThatLanguage : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/VIKI : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/Challenge : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/MsCalendar : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/UIFeedback : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/SVGEdit : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/Survey : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/SideBarMenu : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/SocialProfile : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/SectionDisqus : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/QuickResponse : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/PopcornEditor : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/MassEditRegex : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/InlineCategorizer : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/LinkSuggest2 : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/DisqusTag : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/MsUpload : masterDrop unused dependency on 'jquery.ui.progressbar', unused
mediawiki/extensions/ImageTweaks : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/TranslateSvg : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/extensions/FileAnnotations : masterMove dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'
mediawiki/core : wmf/1.35.0-wmf.10Revert "jquery.ui: Remove "jquery.ui.*" and "jquery.effects.*" aliases"
mediawiki/extensions/CentralNotice : wmf/1.35.0-wmf.10Remove use of jquery.ui module aliases
mediawiki/extensions/CentralNotice : masterRemove use of jquery.ui module aliases
mediawiki/extensions/CentralNotice : wmf_deployRemove use of jquery.ui module aliases
mediawiki/core : masterjquery.ui: Remove "jquery.ui.*" and "jquery.effects.*" aliases
mediawiki/extensions/Translate : masterRemove use of jquery.ui module aliases
mediawiki/extensions/Wikibase : wmf/1.35.0-wmf.8Remove no-op 'jquery.ui.core.styles' from FullEntityParserOutputGenerator
mediawiki/extensions/Wikibase : masterRemove no-op 'jquery.ui.core.styles' from FullEntityParserOutputGenerator
mediawiki/extensions/RevisionSlider : masterRemove use of jquery.ui module aliases (part 2)
mediawiki/extensions/CodeEditor : masterRemove use of jquery.ui module aliases
mediawiki/extensions/TranslationNotifications : masterRemove use of jquery.ui module aliases
mediawiki/extensions/RevisionSlider : masterRemove use of jquery.ui module aliases
mediawiki/extensions/GWToolset : masterRemove use of jquery.ui module aliases
mediawiki/extensions/CollaborationKit : masterRemove use of jquery.ui module aliases
mediawiki/extensions/Collection : masterRemove use of jquery.ui module aliases
mediawiki/extensions/GWToolset : masterRemove use of jquery.ui module aliases
mediawiki/extensions/CodeMirror : masterRemove use of jquery.ui module aliases
mediawiki/extensions/PageTriage : masterRemove use of jquery.ui module aliases
mediawiki/extensions/TimedMediaHandler : masterRemove use of jquery.ui module aliases
mediawiki/extensions/Wikibase : masterRemove use of jquery.ui module aliases
mediawiki/extensions/WikibaseLexeme : masterRemove use of jquery.ui module aliases
mediawiki/extensions/ProofreadPage : masterRemove use of jquery.ui module aliases
mediawiki/extensions/OAuth : masterRemove use of jquery.ui module aliases
mediawiki/extensions/MassMessage : masterRemove use of jquery.ui module aliases
mediawiki/extensions/RevisionSlider : masterRemove use of jquery.ui module aliases
mediawiki/extensions/LiquidThreads : masterRemove use of jquery.ui module aliases
mediawiki/extensions/WikiLove : masterRemove use of jquery.ui module aliases
mediawiki/extensions/WikiEditor : masterRemove use of jquery.ui module aliases
mediawiki/extensions/OpenStackManager : masterRemove use of jquery.ui module aliases
mediawiki/extensions/Citoid : masterRemove use of jquery.ui module aliases
mediawiki/core : REL1_34resources: Collapse all jQuery UI modules into one deprecated mega-module
mediawiki/extensions/Scribunto : masterRemove use of jquery.ui module aliases
mediawiki/core : wmf/1.35.0-wmf.2resources: Collapse all jQuery UI modules into one deprecated mega-module
mediawiki/core : masterresources: Collapse all jQuery UI modules into one deprecated mega-module
mediawiki/skins/Vector : masterUpdate ResourceModuleSkinStyles for jquery.ui change
mediawiki/core : masterresources: Remove unused jquery.effects.* modules

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 552912 abandoned by Jforrester:
Remove use of jquery.ui module aliases

Reason:
Bah.

https://gerrit.wikimedia.org/r/552912

Change 552914 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/CollaborationKit@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552914

Change 552912 restored by Jforrester:
Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552912

Change 552915 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/RevisionSlider@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552915

Change 552916 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/GWToolset@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552916

Change 552909 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552909

Change 552911 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552911

Change 552912 abandoned by Jforrester:
Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552912

Change 552914 merged by jenkins-bot:
[mediawiki/extensions/CollaborationKit@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552914

Change 552917 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/TranslationNotifications@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552917

Change 552915 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552915

Change 552916 merged by jenkins-bot:
[mediawiki/extensions/GWToolset@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552916

Change 552917 merged by jenkins-bot:
[mediawiki/extensions/TranslationNotifications@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/552917

Change 553172 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/RevisionSlider@master] Remove use of jquery.ui module aliases (part 2)

https://gerrit.wikimedia.org/r/553172

Mentioned in SAL (#wikimedia-releng) [2019-11-26T20:00:10Z] <Krinkle> Click "Disable Publishing" for extension-CollaborationKit, T143162, T219604

Change 553173 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/CodeEditor@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/553173

Change 553173 merged by jenkins-bot:
[mediawiki/extensions/CodeEditor@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/553173

Change 553172 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Remove use of jquery.ui module aliases (part 2)

https://gerrit.wikimedia.org/r/553172

Krinkle updated the task description. (Show Details)Nov 29 2019, 4:33 AM

Missed a few in extensions/Translate

  • Really remove all usage in WMF-deployed extensions (Codesearch)

Change 553525 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/Wikibase@master] Remove no-op 'jquery.ui.core.styles' from FullEntityParserOutputGenerator

https://gerrit.wikimedia.org/r/553525

Change 553527 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/Translate@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/553527

Change 553525 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove no-op 'jquery.ui.core.styles' from FullEntityParserOutputGenerator

https://gerrit.wikimedia.org/r/553525

Change 554330 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.8] Remove no-op 'jquery.ui.core.styles' from FullEntityParserOutputGenerator

https://gerrit.wikimedia.org/r/554330

Change 554330 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.8] Remove no-op 'jquery.ui.core.styles' from FullEntityParserOutputGenerator

https://gerrit.wikimedia.org/r/554330

Mentioned in SAL (#wikimedia-operations) [2019-12-04T19:17:11Z] <ladsgroup@deploy1001> Synchronized php-1.35.0-wmf.8/extensions/Wikibase/repo/includes/ParserOutput/FullEntityParserOutputGenerator.php: SWAT: [[gerrit:554330|Remove no-op 'jquery.ui.core.styles' from FullEntityParserOutputGenerator]] (T219604 T239594) (duration: 01m 06s)

Change 553527 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/553527

Change 556069 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] jquery.ui: Remove "jquery.ui.*" and "jquery.effects.*" aliases

https://gerrit.wikimedia.org/r/556069

Change 556069 merged by jenkins-bot:
[mediawiki/core@master] jquery.ui: Remove "jquery.ui.*" and "jquery.effects.*" aliases

https://gerrit.wikimedia.org/r/556069

Krinkle closed this task as Resolved.Dec 10 2019, 6:54 PM
Krinkle removed a project: Patch-For-Review.

Change 556477 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/CentralNotice@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/556477

Change 556483 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@wmf/1.35.0-wmf.10] Revert "jquery.ui: Remove "jquery.ui.*" and "jquery.effects.*" aliases"

https://gerrit.wikimedia.org/r/556483

Change 556477 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/556477

Change 556487 had a related patch set uploaded (by AndyRussG; owner: Jforrester):
[mediawiki/extensions/CentralNotice@wmf_deploy] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/556487

Change 556487 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@wmf_deploy] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/556487

Change 556497 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/CentralNotice@wmf/1.35.0-wmf.10] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/556497

Change 556497 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@wmf/1.35.0-wmf.10] Remove use of jquery.ui module aliases

https://gerrit.wikimedia.org/r/556497

Change 556483 abandoned by Jforrester:
Revert "jquery.ui: Remove "jquery.ui.*" and "jquery.effects.*" aliases"

https://gerrit.wikimedia.org/r/556483

Change 557834 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/FileAnnotations@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557834

Change 557837 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VIKI@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557837

Change 557855 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/UIFeedback@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557855

Change 557856 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TranslateSvg@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557856

Change 557857 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/SVGEdit@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557857

Change 557858 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Survey@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557858

Change 557859 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/StickToThatLanguage@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557859

Change 557860 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/SocialProfile@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557860

Change 557861 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/SideBarMenu@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557861

Change 557862 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/SectionDisqus@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557862

Change 557863 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/QuickResponse@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557863

Change 557864 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/PopcornEditor@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557864

Change 557865 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/MsUpload@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557865

Change 557867 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/MsCalendar@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557867

Change 557868 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/MassEditRegex@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557868

Change 557869 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/InlineCategorizer@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557869

Change 557871 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/LinkSuggest2@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557871

Change 557873 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/LinkSuggest@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557873

Change 557874 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/ImageTweaks@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557874

Change 557877 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/DisqusTag@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557877

Change 557878 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Challenge@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557878

Change 557834 merged by jenkins-bot:
[mediawiki/extensions/FileAnnotations@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557834

Change 557856 merged by jenkins-bot:
[mediawiki/extensions/TranslateSvg@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557856

Change 557874 abandoned by Jforrester:
Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

Reason:
Duplicated by I8448b983f1.

https://gerrit.wikimedia.org/r/557874

Change 557865 merged by jenkins-bot:
[mediawiki/extensions/MsUpload@master] Drop unused dependency on 'jquery.ui.progressbar', unused

https://gerrit.wikimedia.org/r/557865

Change 557877 merged by jenkins-bot:
[mediawiki/extensions/DisqusTag@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557877

Change 557873 merged by jenkins-bot:
[mediawiki/extensions/LinkSuggest@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557873

Change 557871 merged by jenkins-bot:
[mediawiki/extensions/LinkSuggest2@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557871

Change 557869 merged by jenkins-bot:
[mediawiki/extensions/InlineCategorizer@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557869

Change 557868 merged by jenkins-bot:
[mediawiki/extensions/MassEditRegex@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557868

Change 557867 merged by jenkins-bot:
[mediawiki/extensions/MsCalendar@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557867

Change 557864 merged by jenkins-bot:
[mediawiki/extensions/PopcornEditor@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557864

Change 557863 merged by jenkins-bot:
[mediawiki/extensions/QuickResponse@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557863

Change 557862 merged by jenkins-bot:
[mediawiki/extensions/SectionDisqus@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557862

Change 557860 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557860

Change 557861 merged by jenkins-bot:
[mediawiki/extensions/SideBarMenu@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557861

Change 557858 merged by jenkins-bot:
[mediawiki/extensions/Survey@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557858

Change 557857 merged by jenkins-bot:
[mediawiki/extensions/SVGEdit@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557857

Change 557855 merged by jenkins-bot:
[mediawiki/extensions/UIFeedback@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557855

Change 557878 abandoned by Umherirrender:
Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

Reason:
Superseeded by I372939285d4eb96daadae8d1bdf240696cfad3ae

https://gerrit.wikimedia.org/r/557878

Change 557837 merged by Umherirrender:
[mediawiki/extensions/VIKI@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557837

Change 557859 merged by Umherirrender:
[mediawiki/extensions/StickToThatLanguage@master] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/557859

Change 582109 had a related patch set uploaded (by Paladox; owner: Jforrester):
[mediawiki/extensions/LinkSuggest@REL1_34] Move dependencies from removed 'jquery.ui.…' modules to 'jquery.ui'

https://gerrit.wikimedia.org/r/582109